Covara logoDocs
Endpoint ReferenceExtraction

Run synchronous extraction

Creates a high-priority extraction job for a non-batched policy type, waits for completion, and returns the structured result inline.

POST
/v1/extract/{policyType}

Creates a high-priority extraction job for a non-batched policy type, waits for completion, and returns the structured result inline.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

policyType*string

Policy type to extract. Batched policy types must use the Jobs API instead.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/extract/string" \  -H "Content-Type: application/json" \  -d '{    "document": {      "type": "url",      "content": "string"    }  }'
{
  "success": true,
  "data": {},
  "metadata": {
    "policyType": "string",
    "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39",
    "durationMs": 0
  }
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}